;=======================================================================================
; Code : Inc_TimeMachine
; Project Title : 
; Author : Philippe Agnisola
; Email :                    
; Version : 1.0.0
; Date :              
; Notes : Gestion des FPS
;                   
;                   
;=======================================================================================

; -----------------------------------------------------------------------------------------------------
; Variable globales du nombre de FPS dans le cas d'une routine Tweening
; -----------------------------------------------------------------------------------------------------
Global FPS_Counter
Global FPS_CheckTime
Global FPS_CurrentFPS
Global FPS_CurrentTime 

; -----------------------------------------------------------
; Variable globales du calcul du temp pass
; -----------------------------------------------------------
Global Time_Passed#		; Cette variable est l'indice a multiplier sur les elements de la scene (move entity, etc)
Global Time_OldTime#
Global Time_FPS				; Cette variable permet de connaitre le nombre de FPS
Global Time_frames
Global Time_RenderTime

; ------------------------------------
; Calcul du nombre de FPS
; ------------------------------------
Function Get_FPS()
	FPS_CurrentTime = MilliSecs()

	If FPS_CurrentTime > FPS_CheckTime Then
		FPS_CheckTime = FPS_CurrentTime + 1000
		FPS_CurrentFPS = FPS_Counter
		FPS_Counter = 0
	Else
		FPS_Counter = FPS_Counter + 1
	End If

	Return FPS_CurrentFPS
End Function 

;---------------------------------------------
; Que le temps soit avec nous . . .
;--------------------------------------------
Function Time_RefreshTime()
 	; ---------------------------------------------------------
	; Calcul du temps ecoule entre 2 boucles
	; ---------------------------------------------------------
	Time_Passed# = MilliSecs() - Time_OldTime#
	Time_Passed# = Time_Passed# / 1000
	Time_OldTime#= MilliSecs()

	; ---------------------
	; Calcul du FPS
	; ---------------------
	Time_frames=Time_frames+1
	If MilliSecs()-Time_RenderTime=>1000 Then Time_fps=Time_frames : Time_frames=0 : Time_RenderTime=MilliSecs()
End Function